FROM node:10.14.0

MAINTAINER Ray Lee <ray-lee@kdanmobile.com>

ARG ENV=preparing
ENV ENV $ENV
EXPOSE 4000

WORKDIR /kangaroo_client
# catch node modules
ADD ./node_modules ./node_modules
ADD . .

ARG BRANCH=none
ARG COMMIT=none
LABEL branch=$BRANCH commit=$COMMIT env=$ENV

CMD NODE_ENV=production ENV=$ENV yarn start
